name: My Gatsby Deployment pipeline
run-name: ${{ gitea.actor }} is deploying this page to production.

on:
  push:
    branches:
      - master  

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Repository auschecken
        uses: actions/checkout@v3

      - name: Node.js einrichten
        uses: actions/setup-node@v3
        with:
          node-version: 18 
          cache: 'npm'

      - name: Install Dependencies
        run: npm install --frozen-lockfile  

      - name: Build Gatsby Site
        run: npm build  